----------------------------------------
 OpenTK 1.0 rc1 -> 1.0 - 6 October 2010
----------------------------------------

2010-10-06  the_fiddler

	* Installers/Zip/Build.Installer.Zip.csproj: Do not skip
	  Source/OpenTK when cloning the source tree.

	* Source/Build.UpdateVersion/Build.UpdateVersion.csproj,
	  Source/Build.UpdateVersion/Program.cs: Explicitly set assembly
	  name and root namespace to "Build.UpdateVersion" in order to
	  avoid conflicts with xbuild.

	* Installers/Zip/Build.Installer.Zip.csproj: Do not add nsis
	  installers to the zip!

	* Source/Build.UpdateVersion/Build.UpdateVersion.csproj: Use mono
	  to invoke Build.UpdateVersion.exe on non-Windows systems.

	* .: Added Version.txt to ignore list.

	* OpenTK.sln, Source/Build.Tasks: Replaced all custom tasks with
	  built-in tasks, because custom tasks cause builds through Visual
	  Studio to fail. This is a known issue since VS2005 (the dll
	  containing custom tasks gets loaded into the devenv AppDomain and
	  remains locked, meaning you have to exit Visual Studio before
	  rebuilding the project).

	* Source/Build.UpdateVersion/Build.UpdateVersion.csproj,
	  Source/Build.UpdateVersion/Program.cs: Converted into an actual
	  commandline tool to avoid using custom tasks.

	* Installers/Zip/Build.Installer.Zip.csproj: Fixed build target
	  (was left into a debugging configuration) and replaced Run custom
	  task with built-in Exec.

	* Documentation/Build.Docs.csproj: Avoid all custom tasks, since
	  this causes build issues in Visual Studio (Build.Tasks.dll gets
	  loaded into the main AppDomain and remains locked, meaning you
	  have to exit Visual Studio before rebuilding the project).

	* Installers/Nsis/Build.Installer.Nsis.csproj,
	  Installers/Zip/Build.Installer.Zip.csproj: Avoid all custom
	  tasks, since this causes build issues in Visual Studio
	  (Build.Tasks.dll gets loaded into the main AppDomain and remains
	  locked, meaning you have to exit Visual Studio before rebuilding
	  the project).

	* ., Installers/Zip, Source, Source/Build.UpdateVersion,
	  Source/Converter: Update ignore lists.

	* OpenTK.sln: Do not build zip project on debug, documentation and
	  release builds.

	* Installers/Nsis/opentk.nsi: Do not package zip files or data
	  generated by the zip installer.

	* Documentation/Doxyfile: * Documentation/Doxyfile: Do not add
	  source code snippets to the function reference. Reduces pdf file
	  size and speeds up documentation process immensely.

	* Installers/Nsis/opentk.nsi: * Installers/Nsis/opentk.nsi: Set
	  correct output directory for example source code.

	* Installers/Zip/Build.Installer.Zip.csproj: *
	  Installers/Zip/Build.Installer.Zip.csproj: Do not zip
	  documentation source, vshost.exe or copies of the source tree.
	  Make sure zip always operates on a fresh copy of the source tree.

	* Source/Build.Tasks/DateStamp.cs,
	  Source/Build.Tasks/GenerateAssemblyInfo.cs,
	  Source/Build.UpdateVersion/Build.UpdateVersion.csproj: *
	  Source/Build.Tasks/DateStamp.cs: Read/Write stamp from/to
	  Version.txt file. Allows a single stamp to be propagated
	  throughout the build process.
	  
	  * Source/Build.Tasks/GenerateAssemblyInfo.cs: Correctly invoke
	  DateStamp task (need to call Execute() to generate the stamp).
	  
	  * Source/Build.UpdateVersion/Build.UpdateVersion.csproj: Cleaned
	  up 'Rebuild' target. Cleaned up 'GenerateAssemblyInfo' task
	  invocation. Attempted to generate GlobalAssemblyInfo.cs without
	  using a custom task. Unfortunately, xbuild didn't wish to
	  cooperate. Remove Version.txt file to update the datestamp.

2010-10-05  the_fiddler

	* Installers/Zip, Installers/Zip/Build.Installer.Zip.csproj,
	  OpenTK.sln: Added project to create zip package for distribution.

	* Source/Build.Tasks/DelTree.cs: Reorganize code for clarity.

	* Source/Build.Tasks/DelTree.cs: Do not check whether the path
	  exists before deletion (an exception will be caught anyway).

	* Source/Build.Tasks/DelTree.cs: Log error message when a
	  non-existent path is specified.

	* Source/GlobalAssemblyInfo.cs: Really delete GlobalAssemblyInfo.cs
	  this time.

	* Source/Examples/ExampleBrowser.Designer.cs,
	  Source/Examples/ExampleBrowser.cs,
	  Source/Examples/ExampleBrowser.resx,
	  Source/Examples/OpenTK.Examples.csproj,
	  Source/Examples/Properties/Resources.Designer.cs,
	  Source/Examples/Properties/Resources.resx,
	  Source/Examples/Resources/OpenAL.png,
	  Source/Examples/Resources/OpenCL.png,
	  Source/Examples/Resources/OpenGL.png,
	  Source/Examples/Resources/OpenGLES.png,
	  Source/Examples/Resources/OpenTK.png,
	  Source/Examples/Resources/v1x.png,
	  Source/Examples/Resources/v2x.png,
	  Source/Examples/Resources/v3x.png,
	  Source/Examples/Resources/v4x.png: Populate ImageList manually to
	  avoid crash issue when cross-compiling from Mono.

	* Source/GlobalAssemblyInfo.cs: GlobalAssemblyInfo is autogenerated
	  and should not be in version control.

	* Installers/Dependencies/oalinst.exe: OpenAL installer is
	  automatically downloaded from the web when necessary.

	* Documentation/Todo.txt, Source/Build.Tasks/DateStamp.cs,
	  Source/Build.Tasks/GenerateAssemblyInfo.cs: Consolidated
	  DateStamp and AssemblyInfo generation.

2010-10-04  the_fiddler

	* Installers/Nsis/Build.Installer.Nsis.csproj: Ignore output of
	  failed delete command when the specified files are not present.

	* Source/Build.Tasks/Common.xml,
	  Source/Build.UpdateVersion/Build.UpdateVersion.csproj: Use custom
	  property to select correct Build.Tasks.dll directory.

	* Documentation/Todo.txt: Update todo list.

	* Documentation/Todo.txt, Source/Bind/Generator.Bind.csproj,
	  Source/Bind/Properties/AssemblyInfo.cs,
	  Source/Compatibility/OpenTK.Compatibility.csproj,
	  Source/Compatibility/Properties/AssemblyInfo.cs,
	  Source/Converter/Generator.Convert.csproj,
	  Source/Converter/Properties/AssemblyInfo.cs,
	  Source/Examples/OpenTK.Examples.csproj,
	  Source/Examples/Properties/AssemblyInfo.cs,
	  Source/GLControl/OpenTK.GLControl.csproj,
	  Source/GLControl/Properties/AssemblyInfo.cs,
	  Source/GlobalAssemblyInfo.cs, Source/OpenTK/OpenTK.csproj,
	  Source/OpenTK/Properties/AssemblyInfo.cs: All projects now read
	  common AssemblyInfo items from GlobalAssemblyInfo.cs. The various
	  AssemblyInfo.cs files now only contain project-specific
	  information. Assembly versions are now controlled by
	  Build.UpdateVersion.

	* OpenTK.sln, Source/Build.UpdateVersion,
	  Source/Build.UpdateVersion/Build.UpdateVersion.csproj: Added
	  Build.UpdateVersion project which generates a global AssemblyInfo
	  file that is reused throughout the solution (TBD).

	* Documentation/Build.Docs.csproj,
	  Installers/Nsis/Build.Installer.Nsis.csproj: Added Rebuild
	  target.

	* Source/Build.Tasks/Build.Tasks.csproj,
	  Source/Build.Tasks/Common.xml,
	  Source/Build.Tasks/GenerateAssemblyInfo.cs: Added
	  GenerateAssemblyInfo task that specifies common assembly
	  properties to a global AssemblyInfo file. Modify Build.Tasks.dll
	  search path depending on the current configuration.

	* Source/Build.Tasks/DateStamp.cs, Source/Build.Tasks/DelTree.cs,
	  Source/Build.Tasks/Run.cs: Added license information.

	* Source/Build.Tasks/Run.cs: Removed unused variable.

	* Installers/Nsis/opentk.nsi, OpenTK.snk,
	  Source/Bind/Generator.Bind.csproj,
	  Source/Build.Tasks/Build.Tasks.csproj,
	  Source/Compatibility/OpenTK.Compatibility.csproj,
	  Source/Converter/Generator.Convert.csproj,
	  Source/Examples/OpenTK.Examples.csproj,
	  Source/GLControl/OpenTK.GLControl.csproj,
	  Source/OpenTK/OpenTK.csproj: Added keyfile and strong-named all
	  projects.

	* Documentation/Build.Docs.csproj,
	  Installers/Nsis/Build.Installer.Nsis.csproj, OpenTK.sln,
	  Source/Build.Tasks/Build.Tasks.csproj,
	  Source/Compatibility/OpenTK.Compatibility.csproj,
	  Source/Examples/OpenTK.Examples.csproj,
	  Source/GLControl/OpenTK.GLControl.csproj,
	  Source/OpenTK/OpenTK.csproj: Updated default ToolsVersion to 4.0.
	  Fixes intermittent build issues and increases build performance
	  significantly. It is still possible to build on the 3.5 toolset
	  by passing the /tv:3.5 parameter to msbuild.

	* Installers/Nsis/opentk.nsi: Install example source code even if
	  source code component is not selected. This is both necessary for
	  the example browser to function and useful to the user.

	* Installers/Nsis/opentk.nsi: Made shortcut names clearer.

	* Installers/Nsis/opentk.nsi: Added NShader installation
	  components. Installer no longer embeds oalinst and NShader; it
	  downloads them from the web. Added component descriptions. Fixed
	  path issue in Examples project.

	* Source/Examples/OpenCL/VectorAdd.cs: Do not import OpenCL
	  namespace if "EXPERIMENTAL" is not defined.

2010-10-03  the_fiddler

	* Build.exe, Source/Build: Deleted old build system.

	* Documentation/Build.Docs.csproj, Documentation/Release.txt,
	  Documentation/Todo.txt, OpenTK.sln: Moved all documentation to
	  Build.Docs project. Solution folders are no longer utilized
	  (fixes warnings on VS20xx Express!)

	* Source/OpenTK/Compute/CL10/CL.cs,
	  Source/OpenTK/Compute/CL10/CLHelper.cs,
	  Source/OpenTK/Compute/CL10/Core.cs,
	  Source/OpenTK/Compute/CL10/Delegates.cs,
	  Source/OpenTK/Compute/CL10/Enums.cs,
	  Source/OpenTK/Compute/CL10/ErrorHelper.cs,
	  Source/OpenTK/Compute/CL10/ImageFormat.cs,
	  Source/OpenTK/Compute/Structs.cs: Disabled OpenCL bindings
	  (#define EXPERIMENTAL in project options to re-enable).

	* Source/Bind/Generator.Bind.csproj: Removed app.config file that
	  somehow made it into the csproj.

	* Installers/Nsis: Added opentk.exe and
	  Build.Installer.Nsis.vshost.exe to ignore list.

	* Documentation, OpenTK.sln, Source/Bind,
	  Source/Bind/Generator.Bind.csproj, Source/Build.Tasks,
	  Source/Compatibility/OpenTK.Compatibility.csproj,
	  Source/Converter, Source/Converter/Generator.Convert.csproj,
	  Source/Examples/OpenTK.Examples.csproj,
	  Source/GLControl/OpenTK.GLControl.csproj,
	  Source/OpenTK/OpenTK.csproj: Added Generator.Bind and
	  Generator.Convert projects. Fixed msbuild compilation by removing
	  the 3.5 bootstrap ItemGroups. (VS2010 added those on its own -
	  hey, we are targeting v2.0 and we are not using ClickOnce!)

	* Installers/Nsis/opentk.nsi: Significantly improved install
	  script: - Defaulted to single-user installation. - Fixed
	  detection and uninstallation previous versions. - Made
	  installation of source code and OpenAL drivers optional. -
	  Reduced size by using a solid archive. - Streamlined installation
	  process. - Reduced start menu shortcuts.

	* Source/GLControl/OpenTK.GLControl.csproj: Made Nsis configuration
	  identical to Release. Fixes build from windows terminal.

	* Source/Compatibility/OpenTK.Compatibility.csproj,
	  Source/Examples/OpenTK.Examples.csproj,
	  Source/GLControl/OpenTK.GLControl.csproj: Fixed incorrect output
	  paths.

	* Documentation, Installers/Nsis: Let VisualSVN update ignore
	  lists.

	* Documentation/Todo.txt: Updated todo list.

2010-10-02  the_fiddler

	* Installers/Nsis/opentk.nsi: Do not decorate opentk.exe with
	  version numbers (this will be handled through the msbuild
	  script).

	* Installers/Nsis/Build.Installer.Nsis.csproj: Fixed OutputPath on
	  xbuild.

	* Documentation/Build.Docs.csproj,
	  Source/Build.Tasks/Build.Tasks.csproj,
	  Source/Compatibility/OpenTK.Compatibility.csproj,
	  Source/Examples/OpenTK.Examples.csproj,
	  Source/GLControl/OpenTK.GLControl.csproj,
	  Source/OpenTK/OpenTK.csproj: * Source/OpenTK/OpenTK.csproj: *
	  Source/Build.Tasks/Build.Tasks.csproj: *
	  Source/Examples/OpenTK.Examples.csproj: *
	  Source/GLControl/OpenTK.GLControl.csproj: *
	  Source/Compatibility/OpenTK.Compatibility.csproj: Ensure we are
	  using the 2.0 toolset to build. Fixes compilation errors on
	  MonoDevelop/xbuild.
	  
	  * Documentation/Build.Docs.csproj: Use "." instead of
	  "$(MSBuildProjectDirectory)", because MonoDevelop/xbuild fails to
	  replace the latter with its value.

	* Installers/Nsis/Build.Installer.Nsis.csproj: Added opentk.nsi to
	  project, to allow editing directly through the IDE.

	* ., Documentation, Installers/Nsis,
	  Source/Compatibility/Properties,
	  Source/Compatibility/Tao/Platform/Windows, Source/Examples,
	  Source/Examples/OpenAL/1.1, Source/Examples/OpenTK/Fonts,
	  Source/Examples/OpenTK/GLControl, Source/Examples/OpenTK/Test,
	  Source/Examples/Properties, Source/OpenTK/Properties: Updated
	  ignore lists.

	* OpenTK.sln: Removed OpenTK.Build from solution.

	* OpenTK.sln: Added main MSBuild solution.

	* Documentation/Doxyfile: Re-enabled doxygen output. It takes
	  several minutes to run, which means we need the output to check
	  whether the process has hanged.

	* Documentation/Build.Docs.csproj,
	  Installers/Nsis/Build.Installer.Nsis.csproj,
	  Source/Compatibility/OpenTK.Compatibility.csproj,
	  Source/Examples/OpenTK.Examples.csproj,
	  Source/GLControl/OpenTK.GLControl.csproj,
	  Source/OpenTK/OpenTK.csproj: * Added project files for all
	  projects. * Modified Build.Docs project to respond to the
	  "Documentation" configuration. Added Clean target.

	* Source/Build.Tasks, Source/Build.Tasks/Build.Tasks.csproj,
	  Source/Build.Tasks/Common.xml, Source/Build.Tasks/DateStamp.cs,
	  Source/Build.Tasks/DelTree.cs, Source/Build.Tasks/Properties,
	  Source/Build.Tasks/Properties/AssemblyInfo.cs,
	  Source/Build.Tasks/Run.cs: Added Build.Tasks project that
	  contains custom MSBuild tasks for the compilation process: -
	  DateStamp, which generates a version number based on the current
	  date. - DelTree which mimics RemoveDir but can delete non-empty
	  directories on xbuild 2.6.x (which only supports empty
	  directories). - Run which mimics Exec but also captures
	  stderr/stdout.

	* ., Build.exe, Documentation, Documentation/Build.Docs.csproj,
	  Documentation/Changelog.txt, Documentation/Doxyfile,
	  Documentation/Manual.pdf, Documentation/Release.txt, Installers,
	  Installers/Dependencies, Installers/Dependencies/oalinst.exe,
	  Installers/Nsis, Installers/Nsis/opentk.nsi, Source/Bind/ES,
	  Source/Bind/ES/ESGenerator.cs, Source/Bind/Specifications/ES10,
	  Source/Bind/Specifications/ES11,
	  Source/Bind/Specifications/ES11/signatures.xml,
	  Source/Bind/Specifications/ES20,
	  Source/Bind/Specifications/GL2/enumext.spec, Source/Build,
	  Source/Build/Build.cs, Source/Build/BuildNsis.cs,
	  Source/Build/BuildProject.cs,
	  Source/Build/Properties/AssemblyInfo.cs,
	  Source/Build/Properties/Resources.Designer.cs,
	  Source/Build/Properties/Resources.resx,
	  Source/Build/Resources/DoxyFile.txt,
	  Source/Build/Resources/OpenTK.Prebuild.xml, Source/Compatibility,
	  Source/Compatibility/Properties/AssemblyInfo.cs,
	  Source/Compatibility/Properties/Resources.Designer.cs,
	  Source/Compatibility/Properties/Resources.resx,
	  Source/Converter/Headers/ES20/gl2.h,
	  Source/Converter/Headers/ES20/gl2ext.h, Source/Examples,
	  Source/Examples/ExampleAttribute.cs,
	  Source/Examples/ExampleBrowser.Designer.cs,
	  Source/Examples/ExampleBrowser.cs,
	  Source/Examples/ExampleBrowser.resx,
	  Source/Examples/OpenAL/1.1/Parrot.rtf,
	  Source/Examples/OpenAL/1.1/Playback.cs,
	  Source/Examples/OpenAL/1.1/Playback.rtf,
	  Source/Examples/OpenGL/1.1, Source/Examples/OpenGL/1.5,
	  Source/Examples/OpenGL/1.x,
	  Source/Examples/OpenGL/1.x/DisplayLists.cs,
	  Source/Examples/OpenGL/1.x/DisplayLists.rtf,
	  Source/Examples/OpenGL/1.x/FramebufferObject.cs,
	  Source/Examples/OpenGL/1.x/FramebufferObject.rtf,
	  Source/Examples/OpenGL/1.x/ImmediateMode.cs,
	  Source/Examples/OpenGL/1.x/ImmediateMode.rtf,
	  Source/Examples/OpenGL/1.x/Picking.cs,
	  Source/Examples/OpenGL/1.x/Picking.rtf,
	  Source/Examples/OpenGL/1.x/StencilCSG.cs,
	  Source/Examples/OpenGL/1.x/StencilCSG.rtf,
	  Source/Examples/OpenGL/1.x/TextureMatrix.cs,
	  Source/Examples/OpenGL/1.x/TextureMatrix.rtf,
	  Source/Examples/OpenGL/1.x/Textures.cs,
	  Source/Examples/OpenGL/1.x/Textures.rtf,
	  Source/Examples/OpenGL/1.x/VBODynamic.cs,
	  Source/Examples/OpenGL/1.x/VBODynamic.rtf,
	  Source/Examples/OpenGL/1.x/VBOStatic.cs,
	  Source/Examples/OpenGL/1.x/VBOStatic.rtf,
	  Source/Examples/OpenGL/1.x/VertexArrays.cs,
	  Source/Examples/OpenGL/1.x/VertexLighting.cs,
	  Source/Examples/OpenGL/2.x,
	  Source/Examples/OpenGL/2.x/DDSCubeMap.cs,
	  Source/Examples/OpenGL/2.x/GeometryShader.cs,
	  Source/Examples/OpenGL/2.x/GeometryShaderAdvanced.cs,
	  Source/Examples/OpenGL/2.x/JuliaSetFractal.cs,
	  Source/Examples/OpenGL/2.x/SimpleGLSL.cs,
	  Source/Examples/OpenGL/2.x/SwizzledParallax.cs,
	  Source/Examples/OpenGL/3.0, Source/Examples/OpenGL/3.x,
	  Source/Examples/OpenGL/3.x/HelloGL3.cs,
	  Source/Examples/OpenGL/EXT, Source/Examples/OpenGL/GLSL,
	  Source/Examples/OpenTK/GLControl/GLControlSimple.Designer.cs,
	  Source/Examples/OpenTK/GLControl/GLControlSimple.cs,
	  Source/Examples/OpenTK/GLControl/GLControlSimple.resx,
	  Source/Examples/OpenTK/GLControl/GLControlSimple.rtf,
	  Source/Examples/OpenTK/GLControl/SimpleGLControl.Designer.cs,
	  Source/Examples/OpenTK/GLControl/SimpleGLControl.cs,
	  Source/Examples/OpenTK/GLControl/SimpleGLControl.resx,
	  Source/Examples/OpenTK/GameWindow/FullscreenAntialias.cs,
	  Source/Examples/OpenTK/GameWindow/GameWindowMsaa.cs,
	  Source/Examples/OpenTK/GameWindow/GameWindowMsaa.rtf,
	  Source/Examples/OpenTK/GameWindow/GameWindowSimple.cs,
	  Source/Examples/OpenTK/GameWindow/GameWindowSimple.rtf,
	  Source/Examples/OpenTK/GameWindow/GameWindowThreaded.cs,
	  Source/Examples/OpenTK/GameWindow/GameWindowThreaded.rtf,
	  Source/Examples/OpenTK/GameWindow/SimpleWindow.cs,
	  Source/Examples/OpenTK/GameWindow/ThreadedRendering.cs,
	  Source/Examples/OpenTK/Test/BlittableValueTypes.cs,
	  Source/Examples/OpenTK/Test/BlittableValueTypes.rtf,
	  Source/Examples/OpenTK/Test/GameWindowStates.cs,
	  Source/Examples/OpenTK/Test/GameWindowStates.rtf,
	  Source/Examples/OpenTK/Test/TestGraphicsModes.cs,
	  Source/Examples/Properties/AssemblyInfo.cs,
	  Source/Examples/Properties/Resources.Designer.cs,
	  Source/Examples/Properties/Resources.resx, Source/GLControl,
	  Source/GLControl/Properties/AssemblyInfo.cs, Source/OpenTK,
	  Source/OpenTK/BindingsBase.cs,
	  Source/OpenTK/BlittableValueType.cs, Source/OpenTK/Compute,
	  Source/OpenTK/Compute/CL10, Source/OpenTK/Compute/CLHelper.cs,
	  Source/OpenTK/Compute/CommandQueue.cs,
	  Source/OpenTK/Compute/ComputeContext.cs,
	  Source/OpenTK/Compute/Configuration.cs,
	  Source/OpenTK/Compute/Device.cs, Source/OpenTK/Compute/Enums.cs,
	  Source/OpenTK/Compute/Event.cs, Source/OpenTK/Compute/Kernel.cs,
	  Source/OpenTK/Compute/Memory.cs,
	  Source/OpenTK/Compute/Platform.cs,
	  Source/OpenTK/Compute/Profiler.cs,
	  Source/OpenTK/Compute/Program.cs,
	  Source/OpenTK/Compute/Sampler.cs,
	  Source/OpenTK/Compute/Structs.cs, Source/OpenTK/GameWindow.cs,
	  Source/OpenTK/Graphics/ES10, Source/OpenTK/Graphics/ES11,
	  Source/OpenTK/Graphics/ES20,
	  Source/OpenTK/Graphics/GraphicsContext.cs,
	  Source/OpenTK/Graphics/GraphicsMode.cs,
	  Source/OpenTK/Graphics/IGraphicsContext.cs,
	  Source/OpenTK/Graphics/OpenGL/GLEnums.cs,
	  Source/OpenTK/Graphics/OpenGL/GLHelper.cs,
	  Source/OpenTK/IGameWindow.cs, Source/OpenTK/Math/Vector4d.cs,
	  Source/OpenTK/Platform/Dummy/DummyGLContext.cs,
	  Source/OpenTK/Platform/MacOS/AglContext.cs,
	  Source/OpenTK/Platform/MacOS/CarbonBindings,
	  Source/OpenTK/Platform/Windows/WinGLContext.cs,
	  Source/OpenTK/Platform/Windows/WinGLNative.cs,
	  Source/OpenTK/Platform/Windows/WinGraphicsMode.cs,
	  Source/OpenTK/Platform/Windows/WinMMJoystick.cs,
	  Source/OpenTK/Platform/X11/API.cs,
	  Source/OpenTK/Platform/X11/X11DisplayDevice.cs,
	  Source/OpenTK/Platform/X11/X11Factory.cs,
	  Source/OpenTK/Platform/X11/X11GLContext.cs,
	  Source/OpenTK/Platform/X11/X11GLNative.cs,
	  Source/OpenTK/Platform/X11/X11GraphicsMode.cs,
	  Source/OpenTK/Platform/X11/X11XrandrDisplayDevice.cs,
	  Source/OpenTK/Properties/AssemblyInfo.cs: Synced trunk with 1.0
	  branch.

2010-10-01  the_fiddler

	* Documentation/Build.Docs.csproj, Documentation/Doxygen.csproj:
	  Renamed in order to fit the new solution layout.

	* Documentation/Doxyfile, Documentation/Doxygen.csproj: * Doxyfile
	  should not be embedded into the Build project. * Enabled QUIET
	  doxygen option. * Added msbuild project for documentation. Docs
	  can now be built without using Build.exe.

2010-08-07  the_fiddler

	* Source/OpenTK/Platform/Windows/WinGraphicsMode.cs: Improved error
	  checking. Fixed length of attribs array in
	  Wgl.Arb.GetPixelFormatAttrib and added DrawToWindow attribute to
	  Wgl.Arb.ChoosePixelFormat. (thanks c2woody!) Added support for
	  single-buffered contexts. Made code that disables the accumulator
	  buffer more robust. Should fix context creation on Catalyst 10.7
	  drivers.

	* Source/OpenTK/Graphics/OpenGL/GLHelper.cs: * GLHelper.cs: Added
	  uint overload to DeleteTexture, in order to match
	  DeleteTextures().

2010-07-23  the_fiddler

	* Source/Converter/Headers/ES20/gl2.h,
	  Source/Converter/Headers/ES20/gl2ext.h: * Headers/ES20/gl2.h: *
	  Headers/ES20/gl2ext.h: Sync with latest headers from Khronos
	  (revision 10602 and 11739 for gl2.h and gl2ext.h, respectively).

	* Source/Bind/ES/ESGenerator.cs: * ES/ESGenerator.cs: Allow
	  addition of parameters to existing functions.

2010-06-21  the_fiddler

	* Source/OpenTK/Math/Vector4d.cs: * Vector4d.cs: Fixed (Vector3d,
	  double) constructor to actually take a Vector3d (was Vector3
	  before). Fixes issue [#1881]: "Constructor 'public
	  Vector4d(Vector3 v, double w)' has wrong type for 'v'".

2010-06-18  the_fiddler

	* Source/OpenTK/Graphics/GraphicsContext.cs: * GraphicsContext.cs:
	  Ignore null targets when trying to find a valid GraphicsContext
	  for sharing. Fixes issue [#1874}: "OpenTK can sometimes fail to
	  share contexts".

	* Source/Examples/OpenTK/GLControl/SimpleGLControl.Designer.cs,
	  Source/Examples/OpenTK/GLControl/SimpleGLControl.cs,
	  Source/Examples/OpenTK/GLControl/SimpleGLControl.resx: *
	  SimpleGLControl.cs: * SimpleGLControl.resx: *
	  SimpleGLControl.Designer.cs: Removed from project (these have
	  been renamed to GLControlSimple).

2010-05-19  the_fiddler

	* Source/Examples/OpenAL/1.1/Playback.rtf: Added documentation to
	  Playback sample.

	* Source/Examples/OpenAL/1.1/Playback.cs: Removed stale trace
	  comment.

	* Source/Examples/OpenAL/1.1/Parrot.rtf: Added documentation to
	  Parrot sample.

	* Source/Examples/OpenTK/Test/TestGraphicsModes.cs: Implemented
	  test that prints a list of available GraphicsModes.

	* Source/OpenTK/Graphics/GraphicsMode.cs: Implemented overrides for
	  GetHashCode and Equals (necessary, since ToString was already
	  overridden). Added and implemented IEquatable interface, to allow
	  GraphicsModes to be stored in common containers.

2010-05-11  the_fiddler

	* Source/OpenTK/Platform/X11/X11GLNative.cs: Set window title
	  during window construction.

2010-04-20  the_fiddler

	* Source/OpenTK/Graphics/GraphicsContext.cs: Provide fallback
	  GetCurrentContext implementation for platforms that don't support
	  it directly (e.g. the Dummy platform). This implementation
	  iterates through all known contexts and checks if any is current.

	* Source/OpenTK/Platform/Dummy/DummyGLContext.cs: Save the current
	  thread on MakeCurrent and return valid results for IsCurrent.

	* Source/Examples/OpenGL/3.0, Source/Examples/OpenGL/3.x,
	  Source/Examples/OpenGL/3.x/HelloGL3.cs: Renamed 3.0 subcategory
	  to 3.x.

	* Source/Examples/OpenGL/EXT: Deleted empty EXT folder.

	* Source/Examples/OpenGL/1.x/FramebufferObject.cs,
	  Source/Examples/OpenGL/1.x/FramebufferObject.rtf,
	  Source/Examples/OpenGL/2.x/GeometryShader.cs,
	  Source/Examples/OpenGL/2.x/GeometryShaderAdvanced.cs,
	  Source/Examples/OpenGL/EXT/FramebufferObject.cs,
	  Source/Examples/OpenGL/EXT/FramebufferObject.rtf,
	  Source/Examples/OpenGL/EXT/GeometryShader.cs,
	  Source/Examples/OpenGL/EXT/GeometryShaderAdvanced.cs,
	  Source/Examples/OpenGL/GLSL: Moved FramebufferObject to 1.x
	  samples and the various GLSL samples to 2.x.

2010-04-19  the_fiddler

	* Source/Examples/OpenGL/2.x,
	  Source/Examples/OpenGL/2.x/DDSCubeMap.cs,
	  Source/Examples/OpenGL/2.x/JuliaSetFractal.cs,
	  Source/Examples/OpenGL/2.x/SimpleGLSL.cs,
	  Source/Examples/OpenGL/2.x/SwizzledParallax.cs: Renamed GLSL
	  subcategory to 2.x according to previous discussions on this
	  topic.

	* Source/Examples/ExampleAttribute.cs: Set difficulty to max when
	  no difficult specified. Ensures samples with explicit
	  difficulties are sorted first.

	* Source/Examples/OpenGL/1.x/DisplayLists.cs,
	  Source/Examples/OpenGL/1.x/DynamicVBO.cs,
	  Source/Examples/OpenGL/1.x/DynamicVBO.rtf,
	  Source/Examples/OpenGL/1.x/ImmediateMode.cs,
	  Source/Examples/OpenGL/1.x/Textures.cs,
	  Source/Examples/OpenGL/1.x/VBODynamic.cs,
	  Source/Examples/OpenGL/1.x/VBODynamic.rtf,
	  Source/Examples/OpenGL/1.x/VBOStatic.cs,
	  Source/Examples/OpenGL/1.x/VBOStatic.rtf,
	  Source/Examples/OpenGL/1.x/VertexBufferObject.cs,
	  Source/Examples/OpenGL/1.x/VertexBufferObject.rtf: Set a more
	  sane sorting order for immediate mode, display lists, VBOs and
	  texture samples. Shortened titles for VBO samples.

	* Source/Examples/OpenGL/1.5: Deleted empty 1.5 directory.

	* Source/Examples/OpenGL/1.5/DynamicVBO.cs,
	  Source/Examples/OpenGL/1.5/DynamicVBO.rtf,
	  Source/Examples/OpenGL/1.5/VertexBufferObject.cs,
	  Source/Examples/OpenGL/1.5/VertexBufferObject.rtf,
	  Source/Examples/OpenGL/1.x/DynamicVBO.cs,
	  Source/Examples/OpenGL/1.x/DynamicVBO.rtf,
	  Source/Examples/OpenGL/1.x/VertexBufferObject.cs,
	  Source/Examples/OpenGL/1.x/VertexBufferObject.rtf: Moved VBO
	  samples to 1.x folder.

	* Source/Examples/OpenGL/1.1, Source/Examples/OpenGL/1.x: Renamed
	  1.1 directory to 1.x to match example contents.

	* Source/Examples/OpenGL/1.1/DisplayLists.cs,
	  Source/Examples/OpenGL/1.1/ImmediateMode.cs,
	  Source/Examples/OpenGL/1.1/Picking.cs,
	  Source/Examples/OpenGL/1.1/StencilCSG.cs,
	  Source/Examples/OpenGL/1.1/TextureMatrix.cs,
	  Source/Examples/OpenGL/1.1/Textures.cs,
	  Source/Examples/OpenGL/1.1/VertexArrays.cs,
	  Source/Examples/OpenGL/1.1/VertexLighting.cs,
	  Source/Examples/OpenGL/1.5/DynamicVBO.cs,
	  Source/Examples/OpenGL/1.5/VertexBufferObject.cs: Merged "1.1"
	  and "VBO" subcategories to "1.x". (Directory structure will be
	  changed in next commit, due to braindead SVN).

	* Source/Examples/OpenGL/1.5/DynamicVBO.rtf,
	  Source/Examples/OpenGL/1.5/VertexBufferObject.rtf: Added rtf
	  documentation to static and dynamic VBO samples.

	* Source/Examples/OpenTK/GameWindow/GameWindowThreaded.cs: Release
	  the CPU from the main thread since we are not doing anything
	  there.

	* Source/Examples/OpenGL/1.1/Textures.rtf: Added rtf documentation
	  to textures sample.

	* Source/Examples/OpenGL/1.1/TextureMatrix.rtf: Added rtf
	  documentation to texture matrix sample.

	* Source/Examples/OpenGL/1.1/StencilCSG.rtf: Added rtf
	  documentation to CSG sample.

	* Source/Examples/OpenGL/1.1/TextureMatrix.cs: Use FSAA to improve
	  image quality. Generate mipmaps, if possible.

2010-04-16  the_fiddler

	* Source/Examples/OpenGL/1.1/Picking.rtf: Added rtf documentation
	  to picking sample.

2010-04-15  the_fiddler

	* Source/Examples/OpenGL/1.1/ImmediateMode.rtf: Added rtf
	  documentation to the immediate mode sample.

	* Source/Examples/OpenGL/1.1/DisplayLists.rtf: Added rtf
	  documentation to the display lists sample.

	* Source/Compatibility/Properties/AssemblyInfo.cs,
	  Source/GLControl/Properties/AssemblyInfo.cs,
	  Source/OpenTK/Properties/AssemblyInfo.cs: Added
	  "SecurityRules(SecurityRuleSet.Level1)" attribute for .Net 4.0
	  support.

2010-04-09  the_fiddler

	* Source/OpenTK/Platform/Windows/WinGLNative.cs: Disabled ugly
	  modal loop hack. INativeWindows now behave normally when
	  click-dragging on win32 (they stop refreshing as all other win32
	  apps). If this is undesirable, a simple workaround is to move
	  rendering to a different thread.

	* Source/OpenTK/Platform/Windows/WinMMJoystick.cs: Always specify a
	  value for Joystick.Description.

	* Source/Examples/OpenGL/3.0/HelloGL3.cs: Refactored shader, VBO
	  and VAO creation into different methods. Store element data into
	  a VBO. Ensure VAO binds the correct VBOs (it would always use
	  normalVboHandle before). Rebind VAO prior to rendering.

2010-04-08  the_fiddler

	* Source/Examples/OpenTK/GLControl/GLControlSimple.cs: Cleaned up
	  using directives and released to the public domain.

	* Source/Examples/OpenTK/GLControl/GLControlSimple.rtf: Added
	  documentation to "GLControl Simple" sample.

	* Source/Examples/OpenTK/GLControl/GLControlSimple.Designer.cs,
	  Source/Examples/OpenTK/GLControl/GLControlSimple.cs,
	  Source/Examples/OpenTK/GLControl/GLControlSimple.resx: Renamed
	  from "Simple GLControl" to "GLControl Simple" to ensure it stays
	  close to the rest of the WinForms samples.

	* Source/Examples/OpenTK/Test/BlittableValueTypes.rtf: Added
	  documentation to "Blittable Value Types" sample.

	* Source/Examples/OpenTK/Test/BlittableValueTypes.cs: Released
	  sample to the public domain.

	* Source/Examples/OpenTK/Test/GameWindowStates.cs: Released sample
	  to the public domain.

	* Source/Examples/OpenTK/Test/BlittableValueTypes.cs: Refactored
	  code to make its intent clearer. Add short notes on the purpose
	  of the various methods.

	* Source/Examples/OpenTK/Test/GameWindowStates.rtf: Added
	  documentation to "GameWindow States" sample.

	* Source/OpenTK/BlittableValueType.cs: * .Net does not allow
	  generic structs in Marshal.SizeOf. Disallow those to ensure
	  consistent behavior between Mono and .Net. * Documented return
	  values for BlittableValueType methods.

	* Source/Examples/ExampleBrowser.cs: Catch exceptions thrown from
	  the sample thread correctly.

2010-04-07  the_fiddler

	* Source/Examples/OpenTK/GameWindow/GameWindowMsaa.cs,
	  Source/Examples/OpenTK/GameWindow/GameWindowSimple.cs,
	  Source/Examples/OpenTK/GameWindow/GameWindowThreaded.cs: Set the
	  sample order so that "Simple" GameWindow appears before "MSAA"
	  and "Threaded".

	* Source/Examples/Properties/Resources.Designer.cs,
	  Source/Examples/Properties/Resources.resx: Removed source code
	  and sample documentation from resources. These are read directly
	  from disk if available (much simpler to maintain).

2010-03-30  the_fiddler

	* Source/Examples/ExampleBrowser.Designer.cs,
	  Source/Examples/ExampleBrowser.cs,
	  Source/Examples/ExampleBrowser.resx: New sample icons. Use parent
	  icon if specific sample icon is not present.

	* Source/Examples/OpenTK/GameWindow/GameWindowMsaa.cs,
	  Source/Examples/OpenTK/GameWindow/GameWindowSimple.cs,
	  Source/Examples/OpenTK/GameWindow/GameWindowThreaded.cs: Updated
	  subcategory to GameWindow.

	* Source/Examples/OpenTK/GameWindow/FullscreenAntialias.cs,
	  Source/Examples/OpenTK/GameWindow/GameWindowMsaa.cs,
	  Source/Examples/OpenTK/GameWindow/GameWindowMsaa.rtf,
	  Source/Examples/OpenTK/GameWindow/GameWindowSimple.cs,
	  Source/Examples/OpenTK/GameWindow/GameWindowSimple.rtf,
	  Source/Examples/OpenTK/GameWindow/GameWindowThreaded.cs,
	  Source/Examples/OpenTK/GameWindow/GameWindowThreaded.rtf,
	  Source/Examples/OpenTK/GameWindow/SimpleWindow.cs,
	  Source/Examples/OpenTK/GameWindow/ThreadedGameWindow.cs,
	  Source/Examples/OpenTK/GameWindow/ThreadedGameWindow.rtf: Renamed
	  GameWindow samples to avoid name clashes with GLControl samples.
	  Added documentation. Source code now relesaed to the public
	  domain.

	* Source/Examples/OpenTK/GameWindow/ThreadedGameWindow.cs,
	  Source/Examples/OpenTK/GameWindow/ThreadedGameWindow.rtf,
	  Source/Examples/OpenTK/GameWindow/ThreadedRendering.cs: Renamed
	  to ThreadedGameWindow in order to avoid name clashes with future
	  GLControl threading samples. Added documentation.

	* Source/Examples/OpenTK/GameWindow/ThreadedRendering.cs: Updated
	  sample to better show off multi-threading advantages. (This
	  sample would not work correctly without multi-threading.)

2010-03-29  the_fiddler

	* Source/Build: Updated svn:ignore list through VisualSVN.

	* Build.exe, Source/Build/Resources/OpenTK.Prebuild.xml: Exclude
	  'obj' directory from prebuild script, as it causes rtf files to
	  be pulled into the OpenTK.Examples project if the source tree
	  isn't clean. Fixes issue [#1680]: "Examples fail to compile".

2010-03-26  the_fiddler

	* Source/Examples/ExampleBrowser.cs: Display source code and
	  documentation directly from disk instead of embedded resources.

2010-03-25  the_fiddler

	* Source/OpenTK/Platform/X11/X11GraphicsMode.cs: Throw correct
	  exception when GraphicsMode is not available (match behavior of
	  Windows platform).

	* Source/OpenTK/Graphics/GraphicsMode.cs: Ensure that the actual
	  GraphicsMode is queried when the user tries to access any of the
	  GraphicsMode properties.

	* Installers/Nsis/opentk.nsi: * Use the correct filename for the
	  uninstaller. * Execute oalinst.exe in silent mode at the end of
	  the installation process. Fixes issue [#1673]: "Add oalinst to
	  windows installer".

	* Installers/Dependencies, Installers/Dependencies/oalinst.exe:
	  Added official OpenAL installer for windows as dependency. This
	  will be run by the nsis installer automatically, if necessary.